Open CASCADE Technology: BRepMAT2d_BisectingLocus Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepMAT2d_BisectingLocus Class Reference

BisectingLocus generates and contains the Bisecting_Locus of a set of lines from Geom2d, defined by <ExploSet>. More...

`#include <BRepMAT2d_BisectingLocus.hxx>`

## Public Member Functions
| BRepMAT2d_BisectingLocus ()
void | Compute (BRepMAT2d_Explorer &anExplo, const Standard_Integer LineIndex=1, const MAT_Side aSide=MAT_Left, const GeomAbs_JoinType aJoinType=GeomAbs_Arc, const Standard_Boolean IsOpenResult=Standard_False)
| Computation of the Bisector_Locus in a set of Lines defined in <anExplo>. The bisecting locus are computed on the side <aSide> from the line <LineIndex> in <anExplo>. More...
Standard_Boolean | IsDone () const
| Returns True if Compute has succeeded. More...
Handle< MAT_Graph > | Graph () const
| Returns <theGraph> of <me>. More...
Standard_Integer | NumberOfContours () const
| Returns the number of contours. More...
Standard_Integer | NumberOfElts (const Standard_Integer IndLine) const
| Returns the number of BasicElts on the line <IndLine>. More...
Standard_Integer | NumberOfSections (const Standard_Integer IndLine, const Standard_Integer Index) const
| Returns the number of sections of a curve. this curve is the Indexth curve in the IndLineth contour given by anExplo. More...
Handle< MAT_BasicElt > | BasicElt (const Standard_Integer IndLine, const Standard_Integer Index) const
| Returns the BasicElts located at the position <Index> on the contour designed by <IndLine>. Remark: the BasicElts on a contour are sorted. More...
Handle< Geom2d_Geometry > | GeomElt (const Handle< MAT_BasicElt > &aBasicElt) const
| Returns the geometry linked to the <BasicElt>. More...
gp_Pnt2d | GeomElt (const Handle< MAT_Node > &aNode) const
| Returns the geometry of type <gp> linked to the <Node>. More...
Bisector_Bisec | GeomBis (const Handle< MAT_Arc > &anArc, Standard_Boolean &Reverse) const
| Returns the geometry of type <Bissec> linked to the arc <ARC>. <Reverse> is False when the FirstNode of <anArc> correspond to the first point of geometry. More...

## Detailed Description

BisectingLocus generates and contains the Bisecting_Locus of a set of lines from Geom2d, defined by <ExploSet>.

## If the set of lines contains closed lines:

These lines cut the plane in areas. One map can be computed for each area.

Bisecting locus computes a map in an area. The area is defined by a side (MAT_Left,MAT_Right) on one of the closed lines.

## If the set of lines contains only open lines:

the map recovers all the plane.

Warning: Assume the orientation of the closed lines are compatible.

Assume the explo contains only lines located in the area where the bisecting locus will be computed.

Assume a line don't cross itself or an other line.

Remark: the curves coming from the explorer can be decomposed in different parts. It the case for the curves other than circles or lines.

The map of bisecting locus is described by a graph.

- The BasicsElements correspond to elements on the figure described by the Explorer from BRepMAT2d.
- The Arcs correspond to the bisectors.
- The Nodes are the extremities of the arcs.

## Constructor & Destructor Documentation

BRepMAT2d_BisectingLocus::BRepMAT2d_BisectingLocus | ( |  | ) |

## Member Function Documentation

Handle< MAT_BasicElt > BRepMAT2d_BisectingLocus::BasicElt | ( | const Standard_Integer | IndLine,
|  | const Standard_Integer | Index
| ) |  | const

Returns the BasicElts located at the position <Index> on the contour designed by <IndLine>. Remark: the BasicElts on a contour are sorted.

void BRepMAT2d_BisectingLocus::Compute | ( | BRepMAT2d_Explorer & | anExplo,
|  | const Standard_Integer | LineIndex = `1`,
|  | const MAT_Side | aSide = `MAT_Left`,
|  | const GeomAbs_JoinType | aJoinType = `GeomAbs_Arc`,
|  | const Standard_Boolean | IsOpenResult = `Standard_False`
| ) |  |

Computation of the Bisector_Locus in a set of Lines defined in <anExplo>. The bisecting locus are computed on the side <aSide> from the line <LineIndex> in <anExplo>.

Bisector_Bisec BRepMAT2d_BisectingLocus::GeomBis | ( | const Handle< MAT_Arc > & | anArc,
|  | Standard_Boolean & | Reverse
| ) |  | const

Returns the geometry of type <Bissec> linked to the arc <ARC>. <Reverse> is False when the FirstNode of <anArc> correspond to the first point of geometry.

Handle< Geom2d_Geometry > BRepMAT2d_BisectingLocus::GeomElt | ( | const Handle< MAT_BasicElt > & | aBasicElt | ) | const

Returns the geometry linked to the <BasicElt>.

gp_Pnt2d BRepMAT2d_BisectingLocus::GeomElt | ( | const Handle< MAT_Node > & | aNode | ) | const

Returns the geometry of type <gp> linked to the <Node>.

Handle< MAT_Graph > BRepMAT2d_BisectingLocus::Graph | ( |  | ) | const

Returns <theGraph> of <me>.

Standard_Boolean BRepMAT2d_BisectingLocus::IsDone | ( |  | ) | const

Returns True if Compute has succeeded.

Standard_Integer BRepMAT2d_BisectingLocus::NumberOfContours | ( |  | ) | const

Returns the number of contours.

Standard_Integer BRepMAT2d_BisectingLocus::NumberOfElts | ( | const Standard_Integer | IndLine | ) | const

Returns the number of BasicElts on the line <IndLine>.

Standard_Integer BRepMAT2d_BisectingLocus::NumberOfSections | ( | const Standard_Integer | IndLine,
|  | const Standard_Integer | Index
| ) |  | const

Returns the number of sections of a curve. this curve is the Indexth curve in the IndLineth contour given by anExplo.

The documentation for this class was generated from the following file:

- BRepMAT2d_BisectingLocus.hxx